<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">
    
    <body>
        <ui:component>
            <p:dialog
                id="addGrupoJerarquicoId"
                header="Agregar un Grupo Jerárquico"
                widgetVar="addGrupoJerarquico"
                modal="true"
                resizable="false"                
                closable="false"
                draggable="false">
                
                <h:panelGroup id="pnAddGpoJer">                  
                    <h:form>
                        <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6" >
                            <p:column>
                            <h:outputLabel 
                                for="SGMM" 
                                value="#{translatedMessage['restricted.grupoJerarquico.SGMM']}: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <p:inputText
                                id="SGMM"
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strSgmm}"
                                maxlength="1"
                                onkeyup="toUpperCase(event,this)"
                                validatorMessage="Capture para el SGMM sólo una letra.">
                                
                                <f:validateRegex pattern="[a-zA-Z]"/>                                
                            </p:inputText>                            
                                </p:column>
                            <p:column>                            
                            <h:outputLabel 
                                for="descripcionGpoJerarquico" 
                                value="#{translatedMessage['restricted.grupoJerarquico.descGpoJer']}: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <p:inputText
                                id="descripcionGpoJerarquico"
                                maxlength="100"
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strDescripcion}"                                
                               onkeyup="toUpperCase(event,this)">                                                                                                
                            </p:inputText>                            
                            </p:column>
                            <p:column>                                                                                   
                            <h:outputLabel 
                                for="claveGpoJerarquico" 
                                value="#{translatedMessage['restricted.grupoJerarquico.claveJerarquica']}: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <p:inputText
                                id="claveGpoJerarquico"
                               onkeyup="toUpperCase(event,this)"
                                value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strClaveJerarquica}"
                                maxlength="4"/>
                                </p:column>                                                                                                                        
                        </h:panelGrid>
                        
                        <br/>
                        <div align="right">
                        <p:commandButton
                            update=":pnAddGpoJer" style="font-size: 70%"
                            value="#{translatedMessage['common.label.save']}"
                            oncomplete="redirect(xhr, status, args, 'ListGrupoJerarquico.jsf');"
                            actionListener="#{gruposJerarquicosMB.saveWithConfirm}" >
                            
                           <p:confirm 
                                header="Confimación" 
                                message="¿Está seguro de agregar el grupo jerárquico?" 
                                icon="ui-icon-alert" />                              
                        </p:commandButton>
                        
                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                          
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check" />
                          
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close" />
                        </p:confirmDialog>                         
                         <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            style="font-size: 70%"
                            onclick="location = 'ListGrupoJerarquico.jsf';">
                        </p:commandButton>
                        </div>               
                    </h:form>                    
                </h:panelGroup>                    
            </p:dialog>            
        </ui:component>
    </body>
</html>
